jvx.geom

## Class PgElementSet_Menu

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.Vector
      - - jv.objectGui.PsMethodMenu
        - - jv.project.PgGeometry_Menu
          - - jvx.geom.PgPointSet_Menu
            - - jvx.geom.PgElementSet_Menu

- All Implemented Interfaces:
    java.awt.event.ActionListener, java.awt.event.ItemListener, java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.EventListener, java.util.List, java.util.RandomAccess, PsUpdateIf

      public class PgElementSet_Menu
      extends PgPointSet_Menu

  Add specific menu items to 'method' menu in control panel to invoke methods from menu.
  See Also:
    `PgGeometry_Menu`, Serialized Form
  Author:
    Konrad Polthier
  Version:
    26.04.13, 1.80 revised (kp) SplitIntoComponents optimized using select mode.
    02.09.09, 1.70 revised (kp) Several menu items moved from dev menu item to other items.
    16.01.02, 1.60 revised (ep) Internationalization.
    28.12.01, 1.50 revised (kp) Full revision when incorporating the new workshop handling.
    21.12.01, 1.22 revised (ur) Identify vertices moved to PgPointSet_Menu.
    24.09.01, 1.21 revised (kh) Added unfold geometry to menu.
    15.09.01, 1.20 revised (ur) Reorganisation of all method menus.
    26.09.00, 1.10 revised (kp) Superclass change to jvx.geom.PgPointSet_Menu from PsMethodMenu.
    16.04.00, 1.00 created (kp) Derived by splitting jv.geom.PgElementSet_Menu.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String[]` | `m_elementSetMethod`
    `static int` | `MTHD_BOOLEAN_INTERSECTION`
    `static int` | `MTHD_BURN_TEXTURE`
    `static int` | `MTHD_CELLOPERATOR`
    `static int` | `MTHD_CHECK_MANIFOLD`
    `static int` | `MTHD_CHECK_ORIENTABILITY`
    `static int` | `MTHD_CLEAN_MESH`
    `static int` | `MTHD_CLIP`
    `static int` | `MTHD_CLOSE_HOLES`
    `static int` | `MTHD_COLOR_FROM_GAUSS_CURVATURE`
    `static int` | `MTHD_COMPUTE_INTEGRAL_LINE`
    `static int` | `MTHD_COMPUTE_LOCAL_EXTREMA`
    `static int` | `MTHD_CONFORMING`
    `static int` | `MTHD_CONFORMING_TO_FULL`
    `static int` | `MTHD_CONSTRUCTION_BLOCKS`
    `static int` | `MTHD_DIJKSTRA_STRIPES`
    `static int` | `MTHD_DUAL`
    `static int` | `MTHD_EXPLODE_ELEMENTSET`
    `static int` | `MTHD_EXPLODE_POLYTOPE`
    `static int` | `MTHD_FIX_BOUNDARY`
    `static int` | `MTHD_GEODESICFLOW`
    `static int` | `MTHD_HISTOGRAM`
    `static int` | `MTHD_HODGE`
    `static int` | `MTHD_HODGE_SPLIT` Deprecated. Use `MTHD_HODGE` instead.
    `static int` | `MTHD_IDENTIFY_ELEMENTS`
    `static int` | `MTHD_INTERSECT_WITH_FUNCTION`
    `static int` | `MTHD_INTERSECT_WITH_PLANE` Deprecated. Use `MTHD_BOOLEAN_INTERSECTION` instead.
    `static int` | `MTHD_ISOLINE`
    `static int` | `MTHD_LIC`
    `static int` | `MTHD_LOCAL_BUTTERFLY`
    `static int` | `MTHD_MAKE_BOUNDARY`
    `static int` | `MTHD_MAKE_MANIFOLD`
    `static int` | `MTHD_MAKE_MANIFOLD2`
    `static int` | `MTHD_MAKE_ORIENTATION`
    `static int` | `MTHD_MATCH_TRIANGLES`
    `static int` | `MTHD_MEAN_CURVATURE_NORMALS`
    `static int` | `MTHD_MINESWEEPER`
    `static int` | `MTHD_MINIMIZE`
    `static int` | `MTHD_MODELING`
    `static int` | `MTHD_NON_CONFORMING`
    `static int` | `MTHD_NON_CONFORMING_TO_FULL`
    `static int` | `MTHD_NON_CONFORMING_TO_QUARTER`
    `static int` | `MTHD_PARAMETER_LINES`
    `static int` | `MTHD_PRINCIPAL_CURVATURE`
    `static int` | `MTHD_PRINCIPAL_CURVATURE_ANGLE`
    `static int` | `MTHD_PRINCIPAL_CURVATURE_AREA`
    `static int` | `MTHD_REEB`
    `static int` | `MTHD_REFINE`
    `static int` | `MTHD_REMOVE_DEGENERATE_ELEMENTS`
    `static int` | `MTHD_REMOVE_MULTIPLE_ELEMENTS`
    `static int` | `MTHD_REMOVE_UNUSED_VERTICES`
    `static int` | `MTHD_RIVARA_BISECTION`
    `static int` | `MTHD_SCALAR_FIELD`
    `static int` | `MTHD_SEEDS`
    `static int` | `MTHD_SHORTEST_GEODESIC`
    `static int` | `MTHD_SIMPLIFY`
    `static int` | `MTHD_SMOOTHING`
    `static int` | `MTHD_SNAKE`
    `static int` | `MTHD_SPLIT_ALONG_POLYGON`
    `static int` | `MTHD_SPLIT_TO_COMPONENTS`
    `static int` | `MTHD_TEXTURE_FROM_ROT_DIV`
    `static int` | `MTHD_TEXTURE_FROM_UV`
    `static int` | `MTHD_TEXTURE_PATCH`
    `static int` | `MTHD_THICK_EDGES`
    `static int` | `MTHD_TOPOLOGY`
    `static int` | `MTHD_UNFOLD`

    - ### Fields inherited from class jvx.geom.PgPointSet_Menu

      `m_pointSetMethod, MTHD_EVOLVE, MTHD_IDENTIFY_VERTICES, MTHD_MARK_WITH_SPHERE, MTHD_MODEL_VECTOR_FIELD, MTHD_NOISE, MTHD_NORMALIZE_VECTOR_FIELD, MTHD_ROTATE_VECTOR_FIELD, MTHD_TRANSFORM`

    - ### Fields inherited from class jv.project.PgGeometry_Menu

      `m_geometryMethod, MTHD_PRINT_ALL, MTHD_PRINT_BNDBOX, MTHD_PRINT_CENTER, MTHD_SHOW_BNDBOX, MTHD_SHOW_CENTER, MTHD_SHOW_NAME, MTHD_UPDATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PgElementSet_Menu()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `applyMethod(java.lang.String aMethod)` Invoke action determined by current string.
    `void` | `init(PsObject anObject)` Register the target geometry, and subclasses should register all menu items and submenus.

    - ### Methods inherited from class jv.project.PgGeometry_Menu

      `getViewer, setViewer, update`

    - ### Methods inherited from class jv.objectGui.PsMethodMenu

      `actionPerformed, addMenu, addMenu, addMenuItem, addMenuItem, addMenuItem, clone, getFather, getLanguage, getMenu, getMenuItem, getName, getPanelVersion, hasMenu, hasMenuItem, itemStateChanged, removeMenu, removeMenuItem, setName, setParent`

    - ### Methods inherited from class java.util.Vector

      `add, add, addAll, addAll, addElement, capacity, clear, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, forEach, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, iterator, lastElement, lastIndexOf, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, removeIf, replaceAll, retainAll, set, setElementAt, setSize, size, sort, spliterator, subList, toArray, toArray, toString, trimToSize`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, stream`

- - ### Field Detail

    - #### MTHD_COLOR_FROM_GAUSS_CURVATURE

          public static final int MTHD_COLOR_FROM_GAUSS_CURVATURE

      See Also:
        Constant Field Values

    - #### MTHD_MEAN_CURVATURE_NORMALS

          public static final int MTHD_MEAN_CURVATURE_NORMALS

      See Also:
        Constant Field Values

    - #### MTHD_PRINCIPAL_CURVATURE

          public static final int MTHD_PRINCIPAL_CURVATURE

      See Also:
        Constant Field Values

    - #### MTHD_PRINCIPAL_CURVATURE_AREA

          public static final int MTHD_PRINCIPAL_CURVATURE_AREA

      See Also:
        Constant Field Values

    - #### MTHD_PRINCIPAL_CURVATURE_ANGLE

          public static final int MTHD_PRINCIPAL_CURVATURE_ANGLE

      See Also:
        Constant Field Values

    - #### MTHD_NON_CONFORMING

          public static final int MTHD_NON_CONFORMING

      See Also:
        Constant Field Values

    - #### MTHD_CONFORMING

          public static final int MTHD_CONFORMING

      See Also:
        Constant Field Values

    - #### MTHD_CONFORMING_TO_FULL

          public static final int MTHD_CONFORMING_TO_FULL

      See Also:
        Constant Field Values

    - #### MTHD_NON_CONFORMING_TO_FULL

          public static final int MTHD_NON_CONFORMING_TO_FULL

      See Also:
        Constant Field Values

    - #### MTHD_NON_CONFORMING_TO_QUARTER

          public static final int MTHD_NON_CONFORMING_TO_QUARTER

      See Also:
        Constant Field Values

    - #### MTHD_MODELING

          public static final int MTHD_MODELING

      See Also:
        Constant Field Values

    - #### MTHD_CELLOPERATOR

          public static final int MTHD_CELLOPERATOR

      See Also:
        Constant Field Values

    - #### MTHD_MINESWEEPER

          public static final int MTHD_MINESWEEPER

      See Also:
        Constant Field Values

    - #### MTHD_RIVARA_BISECTION

          public static final int MTHD_RIVARA_BISECTION

      See Also:
        Constant Field Values

    - #### MTHD_SIMPLIFY

          public static final int MTHD_SIMPLIFY

      See Also:
        Constant Field Values

    - #### MTHD_CLIP

          public static final int MTHD_CLIP

      See Also:
        Constant Field Values

    - #### MTHD_REMOVE_DEGENERATE_ELEMENTS

          public static final int MTHD_REMOVE_DEGENERATE_ELEMENTS

      See Also:
        Constant Field Values

    - #### MTHD_REMOVE_UNUSED_VERTICES

          public static final int MTHD_REMOVE_UNUSED_VERTICES

      See Also:
        Constant Field Values

    - #### MTHD_MAKE_ORIENTATION

          public static final int MTHD_MAKE_ORIENTATION

      See Also:
        Constant Field Values

    - #### MTHD_SHORTEST_GEODESIC

          public static final int MTHD_SHORTEST_GEODESIC

      See Also:
        Constant Field Values

    - #### MTHD_HODGE

          public static final int MTHD_HODGE

      See Also:
        Constant Field Values

    - #### MTHD_HODGE_SPLIT

          public static final int MTHD_HODGE_SPLIT

      Deprecated. Use `MTHD_HODGE` instead.
      See Also:
        Constant Field Values

    - #### MTHD_EXPLODE_POLYTOPE

          public static final int MTHD_EXPLODE_POLYTOPE

      See Also:
        Constant Field Values

    - #### MTHD_EXPLODE_ELEMENTSET

          public static final int MTHD_EXPLODE_ELEMENTSET

      See Also:
        Constant Field Values

    - #### MTHD_THICK_EDGES

          public static final int MTHD_THICK_EDGES

      See Also:
        Constant Field Values

    - #### MTHD_UNFOLD

          public static final int MTHD_UNFOLD

      See Also:
        Constant Field Values

    - #### MTHD_REFINE

          public static final int MTHD_REFINE

      See Also:
        Constant Field Values

    - #### MTHD_COMPUTE_INTEGRAL_LINE

          public static final int MTHD_COMPUTE_INTEGRAL_LINE

      See Also:
        Constant Field Values

    - #### MTHD_MINIMIZE

          public static final int MTHD_MINIMIZE

      See Also:
        Constant Field Values

    - #### MTHD_MAKE_BOUNDARY

          public static final int MTHD_MAKE_BOUNDARY

      See Also:
        Constant Field Values

    - #### MTHD_DIJKSTRA_STRIPES

          public static final int MTHD_DIJKSTRA_STRIPES

      See Also:
        Constant Field Values

    - #### MTHD_SPLIT_TO_COMPONENTS

          public static final int MTHD_SPLIT_TO_COMPONENTS

      See Also:
        Constant Field Values

    - #### MTHD_FIX_BOUNDARY

          public static final int MTHD_FIX_BOUNDARY

      See Also:
        Constant Field Values

    - #### MTHD_BOOLEAN_INTERSECTION

          public static final int MTHD_BOOLEAN_INTERSECTION

      See Also:
        Constant Field Values

    - #### MTHD_INTERSECT_WITH_PLANE

          public static final int MTHD_INTERSECT_WITH_PLANE

      Deprecated. Use `MTHD_BOOLEAN_INTERSECTION` instead.
      See Also:
        Constant Field Values

    - #### MTHD_REMOVE_MULTIPLE_ELEMENTS

          public static final int MTHD_REMOVE_MULTIPLE_ELEMENTS

      See Also:
        Constant Field Values

    - #### MTHD_PARAMETER_LINES

          public static final int MTHD_PARAMETER_LINES

      See Also:
        Constant Field Values

    - #### MTHD_TEXTURE_PATCH

          public static final int MTHD_TEXTURE_PATCH

      See Also:
        Constant Field Values

    - #### MTHD_MAKE_MANIFOLD

          public static final int MTHD_MAKE_MANIFOLD

      See Also:
        Constant Field Values

    - #### MTHD_TOPOLOGY

          public static final int MTHD_TOPOLOGY

      See Also:
        Constant Field Values

    - #### MTHD_COMPUTE_LOCAL_EXTREMA

          public static final int MTHD_COMPUTE_LOCAL_EXTREMA

      See Also:
        Constant Field Values

    - #### MTHD_REEB

          public static final int MTHD_REEB

      See Also:
        Constant Field Values

    - #### MTHD_GEODESICFLOW

          public static final int MTHD_GEODESICFLOW

      See Also:
        Constant Field Values

    - #### MTHD_CONSTRUCTION_BLOCKS

          public static final int MTHD_CONSTRUCTION_BLOCKS

      See Also:
        Constant Field Values

    - #### MTHD_DUAL

          public static final int MTHD_DUAL

      See Also:
        Constant Field Values

    - #### MTHD_TEXTURE_FROM_UV

          public static final int MTHD_TEXTURE_FROM_UV

      See Also:
        Constant Field Values

    - #### MTHD_TEXTURE_FROM_ROT_DIV

          public static final int MTHD_TEXTURE_FROM_ROT_DIV

      See Also:
        Constant Field Values

    - #### MTHD_LIC

          public static final int MTHD_LIC

      See Also:
        Constant Field Values

    - #### MTHD_SMOOTHING

          public static final int MTHD_SMOOTHING

      See Also:
        Constant Field Values

    - #### MTHD_BURN_TEXTURE

          public static final int MTHD_BURN_TEXTURE

      See Also:
        Constant Field Values

    - #### MTHD_SPLIT_ALONG_POLYGON

          public static final int MTHD_SPLIT_ALONG_POLYGON

      See Also:
        Constant Field Values

    - #### MTHD_LOCAL_BUTTERFLY

          public static final int MTHD_LOCAL_BUTTERFLY

      See Also:
        Constant Field Values

    - #### MTHD_CLOSE_HOLES

          public static final int MTHD_CLOSE_HOLES

      See Also:
        Constant Field Values

    - #### MTHD_MATCH_TRIANGLES

          public static final int MTHD_MATCH_TRIANGLES

      See Also:
        Constant Field Values

    - #### MTHD_SCALAR_FIELD

          public static final int MTHD_SCALAR_FIELD

      See Also:
        Constant Field Values

    - #### MTHD_ISOLINE

          public static final int MTHD_ISOLINE

      See Also:
        Constant Field Values

    - #### MTHD_IDENTIFY_ELEMENTS

          public static final int MTHD_IDENTIFY_ELEMENTS

      See Also:
        Constant Field Values

    - #### MTHD_INTERSECT_WITH_FUNCTION

          public static final int MTHD_INTERSECT_WITH_FUNCTION

      See Also:
        Constant Field Values

    - #### MTHD_SNAKE

          public static final int MTHD_SNAKE

      See Also:
        Constant Field Values

    - #### MTHD_SEEDS

          public static final int MTHD_SEEDS

      See Also:
        Constant Field Values

    - #### MTHD_CHECK_ORIENTABILITY

          public static final int MTHD_CHECK_ORIENTABILITY

      See Also:
        Constant Field Values

    - #### MTHD_CHECK_MANIFOLD

          public static final int MTHD_CHECK_MANIFOLD

      See Also:
        Constant Field Values

    - #### MTHD_MAKE_MANIFOLD2

          public static final int MTHD_MAKE_MANIFOLD2

      See Also:
        Constant Field Values

    - #### MTHD_CLEAN_MESH

          public static final int MTHD_CLEAN_MESH

      See Also:
        Constant Field Values

    - #### MTHD_HISTOGRAM

          public static final int MTHD_HISTOGRAM

      See Also:
        Constant Field Values

    - #### m_elementSetMethod

          public java.lang.String[] m_elementSetMethod

  - ### Constructor Detail

    - #### PgElementSet_Menu

          public PgElementSet_Menu()

  - ### Method Detail

    - #### init

          public void init(PsObject anObject)

      Description copied from class: `PsMethodMenu`
      Register the target geometry, and subclasses should register all menu items and submenus.
      Overrides:
        `init` in class `PgPointSet_Menu`
      Parameters:
        `anObject` - argument used by subclasses to specify object on which action shall be executed.

    - #### applyMethod

          public boolean applyMethod(java.lang.String aMethod)

      Description copied from class: `PsMethodMenu`
      Invoke action determined by current string. This method returns `false`, and should be overwritten by subclasses.
      Overrides:
        `applyMethod` in class `PgPointSet_Menu`

"

The software JavaView? is copyright protected. All Rights Reserved.
"